<mat-card class="d-flex justify-content-center flex-column col">
    <mat-card-header class="d-flex flex-column">
        <mat-card-title class="d-flex justify-content-center">
            <h3 class="text-center"><i class="fas fa-map-marker-alt"></i> {{city}}</h3>
        </mat-card-title>
       
        <h2 class="text-center"><i class="wi" [ngClass]="icon"></i></h2>
    </mat-card-header>
    <mat-card-content>
        <mat-list class="d-flex justify-content-center">
            <mat-list-item *ngIf="weather">{{weather.main.temp}} °C</mat-list-item>
            <mat-list-item *ngIf="weather"> humidity: {{weather.main.humidity}} %</mat-list-item>
            <mat-list-item *ngIf="weather"> {{weather.weather[0].description}}</mat-list-item>
        </mat-list>
    </mat-card-content>
</mat-card>